Bug 443911 - crash crashes on invalid structure member offset: task_struct_parent, kernel 2.6.25
crash crashes on invalid structure member offset: task_struct_parent, kernel ...
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-23 22:40 EDT by Frank Ch. Eigler
Modified: 2009-06-10 08:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-10 08:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-04-23 22:40:37 EDT
crash (4.0-6.0.5.i386) running against a vmcore image (kernel 2.6.25-1.fc9.i686)
upchucks during startup.  It says something much like:

crash: invalid structure member offset: task_struct_parent
       FILE: task.c  LINE: 2150  FUNCTION: store_context()

[/usr/bin/crash] error trace: 80d000b =-> 80d485e => 804506b => 81398be

(The crash dump was obtained by a manual echo c > /proc/sysctl*,
after the kdump ramdisk was fixed via bug #443878.)

(Oh yeah, and there seems to be no "crash-devel" for rawhide?  What
sort of mildly-systemtap-disrupting travesty is that?)
Comment 1 Dave Anderson 2008-04-24 09:31:45 EDT
Well, the Fedora version of the crash utility is the red-headed stepchild
of crash releases.  Because the kernel changes so frequently, the crash
utility version there typically becomes obsolete shortly thereafter.

Roland's recent linux-2.6.utrace.patch to Fedora removed the venerable
task_struct.parent field, which had been there since the beginning of time.
(Now *that's* a travesty...)  That was reported on the crash-utility mailing
list a couple weeks ago.

In any case, either today or tomorrow I will be making a new upstream release
on my people.redhat.com/anderson page, which I typically do about once a month.
The srpm there does in fact have a crash-devel sub-package.

And I will eventually get around to updating the devel version on Fedora,
and when I do, I will also create the crash-devel package.
Comment 2 Bug Zapper 2008-05-14 06:02:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Frank Ch. Eigler 2008-10-06 16:34:41 EDT
FYI, crash 4.0-7.2 build from your people page appears to solve this problem.
Comment 4 Dave Anderson 2008-10-06 16:51:18 EDT
Yep as does the most recent Fedora build, which is version 4.0-7:

Comment 5 Bug Zapper 2009-06-09 20:23:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.